QueueListSupport.Node (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.service.impl.QueueListSupport.Node class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.service.impl
Class QueueListSupport.Node

    java.lang.Object
      org.codehaus.activemq.service.impl.QueueListSupport.Node

All Implemented Interfaces:
  QueueListEntry, Serializable

Enclosing class:
  QueueListSupport

public static class QueueListSupport.Node
extends Object
implements Serializable, QueueListEntry

See Also:
  Serialized Form

Field Summary
`Long` | `key`
`Long` | `nextKey`
`Long` | `previousKey`
`Object` | `value`

Constructor Summary
`QueueListSupport.Node()`

Method Summary
`byte[]` | `asBytes()`
`void` | `fromBytes(byte[] data)`
`Object` | `getElement()` Get the Object value for this entry

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### previousKey

    public Long previousKey

### nextKey

    public Long nextKey

### value

    public Object value

### key

    public transient Long key

Constructor Detail

### QueueListSupport.Node

    public QueueListSupport.Node()

Method Detail

### getElement

    public Object getElement()

  Description copied from interface: `QueueListEntry`
  Get the Object value for this entry

  Specified by:
    `getElement` in interface `QueueListEntry`
  Returns:

### asBytes

    public byte[] asBytes()
                   throws IOException

  Throws:
    `IOException`

### fromBytes

    public void fromBytes(byte[] data)
                   throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.